org.apache.hadoop.yarn.api.records.impl.pb

## Class UpdatedContainerPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.UpdatedContainer
  - - org.apache.hadoop.yarn.api.records.impl.pb.UpdatedContainerPBImpl

-     public class UpdatedContainerPBImpl
      extends org.apache.hadoop.yarn.api.records.UpdatedContainer

  Implementation of `UpdatedContainer`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdatedContainerPBImpl()`
    `UpdatedContainerPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdatedContainerProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.records.Container` | `getContainer()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdatedContainerProto` | `getProto()`
    `org.apache.hadoop.yarn.api.records.ContainerUpdateType` | `getUpdateType()`
    `void` | `setContainer(org.apache.hadoop.yarn.api.records.Container container)`
    `void` | `setUpdateType(org.apache.hadoop.yarn.api.records.ContainerUpdateType updateType)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.UpdatedContainer

      `equals, hashCode, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdatedContainerPBImpl

          public UpdatedContainerPBImpl()

    - #### UpdatedContainerPBImpl

          public UpdatedContainerPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdatedContainerProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdatedContainerProto getProto()

    - #### getUpdateType

          public org.apache.hadoop.yarn.api.records.ContainerUpdateType getUpdateType()

      Specified by:
        `getUpdateType` in class `org.apache.hadoop.yarn.api.records.UpdatedContainer`

    - #### setUpdateType

          public void setUpdateType(org.apache.hadoop.yarn.api.records.ContainerUpdateType updateType)

      Specified by:
        `setUpdateType` in class `org.apache.hadoop.yarn.api.records.UpdatedContainer`

    - #### getContainer

          public org.apache.hadoop.yarn.api.records.Container getContainer()

      Specified by:
        `getContainer` in class `org.apache.hadoop.yarn.api.records.UpdatedContainer`

    - #### setContainer

          public void setContainer(org.apache.hadoop.yarn.api.records.Container container)

      Specified by:
        `setContainer` in class `org.apache.hadoop.yarn.api.records.UpdatedContainer`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.